## FolksAntiLinkable

FolksAntiLinkable — Interface for FolksPersona subclasses from backends which support storage of, anti-linking data.

## Types and Values

| FolksAntiLinkable
struct | FolksAntiLinkableIface

## Description

Anti-links are stored as a set of "uid"s with each FolksPersona (A), specifying that A must not be linked into an FolksIndividual with any of the personas in its anti-links set.

## Functions

## Types and Values

### FolksAntiLinkable

    typedef struct _FolksAntiLinkable FolksAntiLinkable;

Interface for FolksPersona subclasses from backends which support storage of, anti-linking data.

Anti-links are stored as a set of "uid"s with each FolksPersona (A), specifying that A must not be linked into an FolksIndividual with any of the personas in its anti-links set.

Since: 0.7.3

### struct FolksAntiLinkableIface

    struct FolksAntiLinkableIface {
    	GTypeInterface parent_iface;
    	void (*change_anti_links) (FolksAntiLinkable* self, GeeSet* anti_links, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_anti_links_finish) (FolksAntiLinkable* self, GAsyncResult* _res_, GError** error);
    	GeeSet* (*get_anti_links) (FolksAntiLinkable* self);
    	void (*set_anti_links) (FolksAntiLinkable* self, GeeSet* value);
    };

Interface for creating FolksAntiLinkable implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_anti_links` () | virtual method called by ``folks_anti_linkable_change_anti_links()`` |
`change_anti_links_finish` () | asynchronous finish function for `change_anti_links`, called by ``folks_anti_linkable_change_anti_links()`` |
`get_anti_links` () | getter method for the abstract property "anti-links" |
`set_anti_links` () | setter method for the abstract property "anti-links" |